# Crate ethkey [−] [src]

## Structs

Brain | Simple brainwallet.
KeyPair | secp256k1 key pair
Prefix | Tries to find keypair with address starting with given prefix.
Random | Randomly generates new keypair.
SECP256K1 |
Secret |
Signature |

## Enums

Error | Crypto error

## Traits

Generator | Generates new keypair.

## Functions

public_to_address |
recover |
sign |
verify_address |
verify_public |

## Type Definitions

Address |
Message |
Public |

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)